#!/bin/bash

# Ne koristim 'which' iako putanje nisu uvijek standardne
VSFTPLOG="/var/log/vsftpd.log"
VSFTPSTATE="/tmp/zabbix-vsftpd-offset"
VSFTPDAT=$(mktemp)
LOGTAIL="/usr/sbin/logtail"
# Zabbix_sender putanja ce ovisiti o paketu zabbix_agent !!
ZABBIX_SENDER="/usr/bin/zabbix_sender"
ZABBIX_CONF="/etc/zabbix/zabbix_agentd.conf"
 
function zsend { 
		$ZABBIX_SENDER -c $ZABBIX_CONF -k $1 -o $2 > /dev/null 2>&1
		}

$LOGTAIL -f$VSFTPLOG -o$VSFTPSTATE > $VSFTPDAT

	zsend vsftpd.connections `grep "CONNECT" $VSFTPDAT|wc -l`
	zsend vsftpd.loginsuccess `grep "OK LOGIN" $VSFTPDAT|wc -l`
	zsend vsftpd.loginfailure `grep "FAIL LOGIN" $VSFTPDAT|wc -l`
	zsend vsftpd.uploadsuccess `grep "OK UPLOAD" $VSFTPDAT|wc -l`
	zsend vsftpd.uploadfailure `grep "FAIL UPLOAD" $VSFTPDAT|wc -l`
	zsend vsftpd.downloadsuccess `grep "OK DOWNLOAD" $VSFTPDAT|wc -l`
	zsend vsftpd.downloadfailure `grep "FAIL DOWNLOAD" $VSFTPDAT|wc -l`
	zsend vsftpd.deletesuccess `grep "OK DELETE" $VSFTPDAT|wc -l`
	zsend vsftpd.deletefailure `grep "FAIL DELETE" $VSFTPDAT|wc -l`

rm -f $VSFTPDAT
echo "1"
